import React from 'react';
import { IoMdCheckmarkCircleOutline } from '@react-icons/all-files/io/IoMdCheckmarkCircleOutline';

import Modal from '../../modal/index';

const index = ({
  text = {
    title: 'You are registered!!!',
    section: 'Now there are lots of extra goodies that are on their way to your inbox.',
    footer: 'All the best and good luck in the casino world!',
  },
}) => (
  <Modal>
    <IoMdCheckmarkCircleOutline color="green" title="Check Icon" />
    <p>{text.title}</p>
    <div>
      {text.section}
      <p>{text.footer}</p>
    </div>
  </Modal>
);

export default index;
